#include "entity_shop_item_feed.h"

/* Initializes an shop item feed entity. */
void
entity_shop_item_feed_init(ECS* ecs, u32 id, u32 affectedID, u32 affectedID2)
{
	ComponentShopItem* shopItem;

	shopItem = ecs_component_add(ecs, ECS_COMPONENT_SHOP_ITEM, id);

	component_shop_item_init
	(
		shopItem,
		SHOP_ITEM_FEED,
		-1,
		-1.0f,
		affectedID,
		affectedID2
	);
}
